#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | tr -s '-' '_')
#-----------------------------------------------------------------------------
Name		:	meson-python
Version		:	0.15.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Meson Python build backend (PEP 517)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/mesonbuild/meson-python

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-pyproject-metadata
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

#-----------------------------------------------------------------------------
%description
meson-python is a Python build backend built
on top of the Meson build system.  It enables
to use Meson for the configuration and build
steps of Python packages. Meson is an open
source build system meant to be both extremely fast,
and, even more importantly, as user friendly
as possible. meson-python is best suited for
building Python packages containing extension
modules implemented in languages such as C, C++,
Cython, Fortran, Pythran, or Rust. Consult the
documentation for more details.}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/mesonpy/*.py
%{python3_sitelib}/mesonpy/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
